{% assign entries = site.pages | sort: "dir"  %}

<!-- Needs to be a oneliner either cariage returned are captured too-->
{% capture folders_capture %}{% for entry in entries %}{% if entry.dir != "/" %}{% assign level =  entry.dir |split: "/" |size  %}{% if level < 3 %}{% assign slug  = entry.dir | remove: "/"  %}{% assign folder = slug %}{{ folder }}^{% endif %}{% endif %}{% endfor %}{% endcapture %}
{% assign folders = folders_capture | split: "^" |uniq %}



<nav class="navbar navbar-default navbar-static-top">
  <div class="navbar-header">
    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
      <span class="sr-only">Toggle navigation</span>
      <span class="icon-bar"></span>
      <span class="icon-bar"></span>
      <span class="icon-bar"></span>
    </button>
    <a class="navbar-brand" href="{{ "/" | prepend: site.baseurl }}">Gazelle Framework documentation</a>
  </div>
  <div id="navbar" class="navbar-collapse collapse">

    <ul class="nav navbar-nav">
      {% for folder in folders %}
      {% assign application_pages = site.pages | where_exp: "item" , "item.url  contains folder" %}
      {% assign release_notes = application_pages | where_exp : "item", "item.title contains 'Release note (old format)'" %}
      {% assign other_pages = application_pages | where_exp: "item", "item.title != 'Release note (old format)'" %}
      {% if page.url contains folder %}
        <li class="dropdown active">
      {% else %}
        <li class="dropdown">
      {% endif %}
        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">{{ folder | replace: '-',' ' }}<span class="caret"></span></a>
        <ul class="dropdown-menu">
          {% if release_notes.size != 0 %}
          <li class="dropdown-submenu" role="menu">
          <a href="#">Release notes</a>
            <ul class="dropdown-menu" role="menu">
                {% for entry in release_notes %}
                  <li><a href="{{ site.baseurl }}{{ entry.url }}">{{entry.toolversion}}</a></li>
                  {% endfor %}
            </ul>
          </li>
          {% endif %}
          {% for entry in other_pages %}
          <li><a href="{{ site.baseurl }}{{ entry.url }}">{{ entry.title | capitalize | escape  }}</a></li>
          {% endfor %}
        </ul>
      </li>
      {% endfor %}
    </ul>
  </div>
</nav>
